Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ProducerInfo

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.ProducerInfo

All Implemented Interfaces:
  Packet

public class ProducerInfo
extends AbstractPacket

Denotes life cycle infomation for a Producer of messages

Field Summary

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`ProducerInfo()`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Test for equality
`java.lang.String` | `getClientId()`
`ActiveMQDestination` | `getDestination()`
`int` | `getPacketType()` Return the type of Packet
`java.lang.String` | `getProducerId()`
`java.lang.String` | `getSessionId()`
`long` | `getStartTime()`
`int` | `hashCode()`
`boolean` | `isStarted()`
`void` | `setClientId(java.lang.String newClientId)`
`void` | `setDestination(ActiveMQDestination newDestination)`
`void` | `setProducerId(java.lang.String producerId)`
`void` | `setSessionId(java.lang.String sessionId)`
`void` | `setStarted(boolean flag)`
`void` | `setStartTime(long newStartTime)`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`decrementMemoryReferenceCount, equals, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, incrementMemoryReferenceCount, isJMSMessage, isReceipt, isReceiptRequired, setId, setMemoryUsage, setReceiptRequired, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProducerInfo

    public ProducerInfo()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Test for equality

  Overrides:
    `equals` in class `AbstractPacket`
  Parameters:
    `obj` - object to test
  Returns:
    true if equivalent

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AbstractPacket`
  Returns:
    hash code for instance

### getProducerId

    public java.lang.String getProducerId()

  Returns:
    Returns the producerId.

### setProducerId

    public void setProducerId(java.lang.String producerId)

  Parameters:
    `producerId` - The producerId to set.

### getSessionId

    public java.lang.String getSessionId()

  Returns:
    Returns the sessionId.

### setSessionId

    public void setSessionId(java.lang.String sessionId)

  Parameters:
    `sessionId` - The sessionId to set.

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### getClientId

    public java.lang.String getClientId()

  Returns:
    Returns the clientId.

### setClientId

    public void setClientId(java.lang.String newClientId)

  Parameters:
    `newClientId` - The clientId to set.

### getDestination

    public ActiveMQDestination getDestination()

  Returns:
    Returns the destination.

### setDestination

    public void setDestination(ActiveMQDestination newDestination)

  Parameters:
    `newDestination` - The destination to set.

### isStarted

    public boolean isStarted()

  Returns:
    Returns the started.

### setStarted

    public void setStarted(boolean flag)

  Parameters:
    `flag` - to indicate if started

### getStartTime

    public long getStartTime()

  Returns:
    Returns the startTime.

### setStartTime

    public void setStartTime(long newStartTime)

  Parameters:
    `newStartTime` - The startTime to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.